Clone report by id

Create a report cloning another report.

Note: The API may throw a HTTP 404 if there are no reports found with a given id.

The API returns a 201 CREATED if the cloning was successful.

Path Params
integer
required
≥ 1

Report id of the resource

Body Params
string
required
length between 1 and 100

Report title

string | null

Report description

columns
array of objects
required
length ≥ 1

Report columns

columns*
group_rows
array of objects | null
Defaults to null

Report group rows

group_rows
group_columns
array of objects | null
Defaults to null

Report group columns

group_columns
periods
array of objects | null
Defaults to null

Periods to compare

periods
comparisons
array of objects | null
Defaults to null

A list of up to 5 Comparisons, each containing 'name' and 'filters' properties. The 'filters' are the same structure as those in report.filters.

comparisons
filters
object | null

Report filters

sort
array of objects | null
Defaults to null

Report sort

sort
settings
object | null

Report settings

formats
object | null

Formatting options of the report

integer
required
≥ 1

Report property id

property_ids
array of integers
required
length ≥ 1

Report property ids

property_ids*
charts
array of objects

List of charts to clone

charts
Headers
integer
required
≥ 1

Property id of the client

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json